Update Notification Settings in Bulk by Admin
PATCH /admin/user/{userid}/notification-settings
PATCH
/admin/user/{userid}/notification-settings
Allow admins to update multiple notification settings (Push, Email, Text) for different events in bulk for a specific user.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” userid
required
string
User ID to update notification settings for
Query Parameters
Section titled “Query Parameters ” userType
required
string
User type (e.g., HYG, DNT)
Request Body
Section titled “Request Body ”Request payload to update multiple notification settings
Array<object>
Request to bulk update notification settings for a specific event.
object
email
required
boolean
event
required
string
OFFICE_EVENT_OFFER_RECEIVED push
required
boolean
true text
required
boolean
trueResponses
Section titled “ Responses ”Notification settings updated successfully
Bad Request: invalid data or unsupported user type
object
error
string
some meaningful error messageUnauthorized: admin is not authenticated
object
error
string
some meaningful error messageInternal Server Error: failed to update settings
object
error
string
some meaningful error message